Opened 5 months ago

Closed 4 months ago

#2862 closed help (fixed)

Max number of nvars in a JULES suite

Reported by: NoelClancy Owned by: pmcguire
Component: JULES Keywords:
Cc: Platform:
UM Version:

Description

What is the maximum number of variables which can be added in a JULES suite?

Last night, I re-ran u-ba137b and u-ba137f with 66 nvars, however

var='t1p5m_gb','gpp_gb','resp_p_gb','resp_s_gb','ftl_gb','latent_heat',

='rad_net','sw_down','precip','t1p5m_gb','q1p5m_gb',
='canht','lai','fsmc_gb', 'smc_avail_top', 'fqw_gb', 'et_stom_gb', 'sthu', 'sthf',
='c_veg','canopy_gb','con_rain','con_snow','cs',
='cs_gb','cv','drain','ecan_gb','ei_gb',
='elake','esoil_gb','ext', 'hf_snow_melt', 'ls_rain',
='ls_snow','lw_down','lw_net','lw_up','npp_gb',
='rainfall','resp_r','runoff','sat_excess_roff','smc_avail_tot',
='smc_tot','snomlt_sub_htf','snow_surf_htf','snow_can_gb','snow_depth_gb',
='snow_ds','snow_frac','snow_grnd_gb', 'snow_ice', 'snow_ice_gb',
='snow_liq','snow_liq_gb','snow_mass_gb','snow_melt_gb','snowfall',
='surf_ht_flux_gb','sw_net','tfall','tstar_gb','wind',
='surf_roff','sub_surf_roff'

However, the runs were unsuccessful.

Change History (25)

comment:1 Changed 5 months ago by NoelClancy

fcm diff

shows that the changes were not checked in to MOSRS?

I have re-tried to "fcm ci" but
[nmc@jasmin-sci2 u-ba137f]$ fcm ci
[ERROR] File(s) out of date:
M * 94080 app/jules/rose-app.conf
M * 94080 site/suite.rc.CEDA_JASMIN
M * 94080 bin/list_sites_fluxnet2015.txt
M * 94080 suite.rc
M * 94080 rose-suite.conf
[FAIL] FCM1::Cm::Abort: abort

comment:2 Changed 5 months ago by pmcguire

Hi Noel
Regarding this second issue, please in the future if the problems are not related, submit a different ticket.

Regarding this second issue, you will see if you search for "File(s) out of date: svn" in Google:
https://www.google.com/search?client=safari&rls=en&q=File(s)+out+of+date:+svn&ie=UTF-8&oe=UTF-8
that the first thing in the search results is:
http://help.collab.net/index.jsp?topic=/faq/outofdate.html
"File is out of date SVN commit failed:
You can fix the problem by running 'svn update' in the working copy. You might be genuinely out of date - that is, you're trying to commit a change to a file that has been changed by someone else since you last updated your copy of that file. Again, 'svn update' is the way to fix this."

I searched for "svn" here instead of "fcm" because fcm is a newer software that is derived from svn.

This is general advice to keep in mind, but this advice doesn't necessarily apply here.

In this case, you can't easily commit changes to a suite that has provisional names like with the extra 'f' after the official MOSRS suite ID u-ba137. You should make sure that the same changes have been made to the original suite u-ba137 and commit those changes. Or you can create an identical copy of the suite u-ba137 in MOSRS with some different ID number, and make the same changes to that new ID suite number as were in the unofficial suite u-ba137f.

comment:3 Changed 5 months ago by pmcguire

Hi Noel:
Regarding your first issue, what are the error messages in the log files for the unsuccessful runs?
Patrick

comment:4 Changed 5 months ago by NoelClancy

Do I need to "fcm ci" the changes to MOSRS in that case?
I already re-ran u-ba137b and u-ba137f with two extra nvars, but it doesn't seem that I "fcm ci"ed those either?

Where exactly do the error messages appear? Is it in home/users/nmc/cylc-run/u-ba137b/log/job/1 ?

comment:5 Changed 5 months ago by NoelClancy

mis-spelt a variable

[FATAL ERROR] get_var_id: Unrecognised variable identifier - 'snow_surf_htf'. See docs for available variables
Image PC Routine Line Source
jules.exe 00000000004737BB logging_mod_mp_wr 157 logging_mod.F90
jules.exe 00000000004907C5 model_interface_m 6676 model_interface_mod.F90
jules.exe 000000000058779A output_mod_mp_reg 632 output_mod.F90
jules.exe 0000000000414FD7 init_output_ 340 init_output.F90
jules.exe 000000000041375D init_mod_mp_init_ 126 init.F90
jules.exe 0000000000409BB7 MAIN 86 jules.F90
jules.exe 0000000000409B06 Unknown Unknown Unknown
libc.so.6 00000038DCE1ED1D Unknown Unknown Unknown
jules.exe 00000000004099F9 Unknown Unknown Unknown
[FAIL] rose-jules-run <<'
STDIN'
[FAIL]
[FAIL] '
STDIN' # return-code=1
2019-04-07T19:53:34+01:00 WARNING - Message send failed, try 1 of 7: Connection timeout: https://jasmin-sci2.ceda.ac.uk:43026/put_messages: HTTPSConnectionPool(host='jasmin-sci2.ceda.ac.uk', port=43026): Max retries exceeded with url: /put_messages (Caused by ConnectTimeoutError?(<requests.packages.urllib3.connection.VerifiedHTTPSConnection object at 0x15b3810>, 'Connection to jasmin-sci2.ceda.ac.uk timed out. (connect timeout=30.0)'))

retry in 5.0 seconds, timeout is 30.0

2019-04-07T19:54:09+01:00 WARNING - Message send failed, try 2 of 7: Connection timeout: https://jasmin-sci2.ceda.ac.uk:43026/put_messages: HTTPSConnectionPool(host='jasmin-sci2.ceda.ac.uk', port=43026): Max retries exceeded with url: /put_messages (Caused by ConnectTimeoutError?(<requests.packages.urllib3.connection.VerifiedHTTPSConnection object at 0x15cd7d0>, 'Connection to jasmin-sci2.ceda.ac.uk timed out. (connect timeout=30.0)'))

retry in 5.0 seconds, timeout is 30.0

2019-04-07T19:54:44+01:00 WARNING - Message send failed, try 3 of 7: Connection timeout: https://jasmin-sci2.ceda.ac.uk:43026/put_messages: HTTPSConnectionPool(host='jasmin-sci2.ceda.ac.uk', port=43026): Max retries exceeded with url: /put_messages (Caused by ConnectTimeoutError?(<requests.packages.urllib3.connection.VerifiedHTTPSConnection object at 0x15cd650>, 'Connection to jasmin-sci2.ceda.ac.uk timed out. (connect timeout=30.0)'))

retry in 5.0 seconds, timeout is 30.0

2019-04-07T19:55:19+01:00 WARNING - Message send failed, try 4 of 7: Connection timeout: https://jasmin-sci2.ceda.ac.uk:43026/put_messages: HTTPSConnectionPool(host='jasmin-sci2.ceda.ac.uk', port=43026): Max retries exceeded with url: /put_messages (Caused by ConnectTimeoutError?(<requests.packages.urllib3.connection.VerifiedHTTPSConnection object at 0x15cd590>, 'Connection to jasmin-sci2.ceda.ac.uk timed out. (connect timeout=30.0)'))

retry in 5.0 seconds, timeout is 30.0

2019-04-07T19:55:54+01:00 WARNING - Message send failed, try 5 of 7: Connection timeout: https://jasmin-sci2.ceda.ac.uk:43026/put_messages: HTTPSConnectionPool(host='jasmin-sci2.ceda.ac.uk', port=43026): Max retries exceeded with url: /put_messages (Caused by ConnectTimeoutError?(<requests.packages.urllib3.connection.VerifiedHTTPSConnection object at 0x15da090>, 'Connection to jasmin-sci2.ceda.ac.uk timed out. (connect timeout=30.0)'))

retry in 5.0 seconds, timeout is 30.0

2019-04-07T19:56:30+01:00 WARNING - Message send failed, try 6 of 7: Connection timeout: https://jasmin-sci2.ceda.ac.uk:43026/put_messages: HTTPSConnectionPool(host='jasmin-sci2.ceda.ac.uk', port=43026): Max retries exceeded with url: /put_messages (Caused by ConnectTimeoutError?(<requests.packages.urllib3.connection.VerifiedHTTPSConnection object at 0x15da3d0>, 'Connection to jasmin-sci2.ceda.ac.uk timed out. (connect timeout=30.0)'))

retry in 5.0 seconds, timeout is 30.0

comment:6 Changed 5 months ago by NoelClancy

Corrected spelling error
Tried re-running again

/home/users/nmc/.lsbatch/1554727578.2058094: line 8: cannot create temp file for here-document: No space left on device
/apps/lsf/conf/jobstarter.sh: line 8: /home/users/nmc/.lsbatch/1554727578.2058094.shell: Success

Not sure what has happened?

comment:7 Changed 5 months ago by pmcguire

Hi Noel:
One thing that I note here is that your ~/roses/app/jules/rose-app.conf file is incorrectly configured in the output namelists.
The output_type and the var_name namelist variables in your file (see below) only refers to 18 or 19 output variables when those namelist variables should refer to many more output variables.
Patrick

`[namelist:jules_output_profile(1)]
file_period=-2
nvars=66
output_main_run=.true.
output_period=86400
output_spinup=.false.
output_type='N',18*'M'
profile_name='D'
var='t1p5m_gb','gpp_gb','resp_p_gb','resp_s_gb','ftl_gb','latent_heat',

='rad_net','sw_down','precip','t1p5m_gb','q1p5m_gb',
='canht','lai','fsmc_gb', 'smc_avail_top', 'fqw_gb', 'et_stom_gb', 'sthu', 'sthf',
='surf_roff','sub_surf_roff',
='c_veg','canopy_gb','con_rain','con_snow','cs',
='cs_gb','cv','drain','ecan_gb','ei_gb',
='elake','esoil_gb','ext', 'hf_snow_melt', 'ls_rain',
='ls_snow','lw_down','lw_net','lw_up','npp_gb',
='rainfall','resp_r','runoff','sat_excess_roff','smc_avail_tot',
='smc_tot','snomlt_sub_htf','snomlt_surf_htf','snow_can_gb','snow_depth_gb',
='snow_ds','snow_frac','snow_grnd_gb', 'snow_ice', 'snow_ice_gb',
='snow_liq','snow_liq_gb','snow_mass_gb','snow_melt_gb','snowfall',
='surf_ht_flux_gb','sw_net','tfall','tstar_gb','wind'

var_name='min_t1p5m_gb',18*'`

comment:8 Changed 5 months ago by pmcguire

Hi Noel:
Another thing to note here, is that your log file suggests that you are running the suite on jasmin-sci2. I had told you recently that the CEDA JASMIN people have reconfigured their Virtual Machine servers (VM's) so that we should now run on jasmin-cylc. You should reconfigure your account to run Rose/Cylc jobs on jasmin-cylc, per the (newly revised) instructions for setting up JASMIN acounts on the LSP group website.

If you reconfigure your account, and run on jasmin-cylc, you should get the GUI from cylc when you run your jobs, so monitoring your jobs and figuring out what goes wrong might be easer then. When you run 'Rose/Cylc?' jobs on jasmin-sci* then you probably won't get this GUI, and you'll continue to get the 'WARNING/ Connection Time out' messages that you posted in your log file above.
Patrick

comment:9 Changed 5 months ago by pmcguire

Hi Noel:
Regarding your second issue about using fcm ci, if you want to have an archive of the version of the Rose/Cylc suite that you used, then you should definitely commit those changes to the MOSRS repository. I highly recommend this for suites that have non-trivial changes in them.
Patrick

comment:10 Changed 5 months ago by pmcguire

  • Owner changed from um_support to pmcguire
  • Status changed from new to accepted

comment:11 Changed 5 months ago by NoelClancy

Do you have the link to he LSP group website?

comment:12 Changed 5 months ago by pmcguire

Hi Noel
You can find that website by doing a Google search for "Land Surface Processes group Reading".
The link is:
https://research.reading.ac.uk/landsurfaceprocesses/
There is a tutorial menu that you can go through on that website.
The updated JASMIN tutorial is the first one on the pull-down list of tutorials.
Patrick

comment:13 Changed 5 months ago by NoelClancy

`[namelist:jules_output_profile(1)]
file_period=-2
nvars=19
output_main_run=.true.
output_period=86400
output_spinup=.false.
output_type='N',18*'M'
profile_name='D'
var='t1p5m_gb','gpp_gb','resp_p_gb','resp_s_gb','ftl_gb','latent_heat',

='rad_net','sw_down','precip','t1p5m_gb','q1p5m_gb',
='canht','lai','fsmc_gb', 'smc_avail_top', 'fqw_gb', 'et_stom_gb', 'sthu', 'sthf'

var_name='min_t1p5m_gb',18*'`

't1p5m_gb' is listed twice in var. I have no idea why?

I think nvars should = 66? and output_type = 65

like below?

`[namelist:jules_output_profile(1)]
file_period=-2
nvars=66
output_main_run=.true.
output_period=86400
output_spinup=.false.
output_type='N',65*'M'
profile_name='D'
var='t1p5m_gb','gpp_gb','resp_p_gb','resp_s_gb','ftl_gb','latent_heat',

='rad_net','sw_down','precip','t1p5m_gb','q1p5m_gb',
='canht','lai','fsmc_gb', 'smc_avail_top', 'fqw_gb', 'et_stom_gb', 'sthu', 'sthf',
='surf_roff','sub_surf_roff',
='c_veg','canopy_gb','con_rain','con_snow','cs',
='cs_gb','cv','drain','ecan_gb','ei_gb',
='elake','esoil_gb','ext', 'hf_snow_melt', 'ls_rain',
='ls_snow','lw_down','lw_net','lw_up','npp_gb',
='rainfall','resp_r','runoff','sat_excess_roff','smc_avail_tot',

='smc_tot','snomlt_sub_htf','snomlt_surf_htf','snow_can_gb','snow_depth_gb',

='snow_ds','snow_frac','snow_grnd_gb', 'snow_ice', 'snow_ice_gb',
='snow_liq','snow_liq_gb','snow_mass_gb','snow_melt_gb','snowfall',
='surf_ht_flux_gb','sw_net','tfall','tstar_gb','wind'

var_name='min_t1p5m_gb',65*'`

comment:14 Changed 5 months ago by NoelClancy

Still having problems logging onto jasmin-cylc?
What is wrong?

[2019-04-08 18:03.59] ~
[ue023700.SWPC276] ➤ exec ssh-agent $SHELL


────────────────────────────────────────────────────────────────────────────────
[2019-04-08 18:04.06] ~
[ue023700.SWPC276] ➤ ssh-add ~/.ssh/id_rsa_jasmin
Identity added: /home/mobaxterm/.ssh/id_rsa_jasmin (/home/mobaxterm/.ssh/id_rsa_jasmin)


────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────
[2019-04-08 18:04.11] ~
[ue023700.SWPC276] ➤ ssh -AX nmc@…
ssh: connect to host jasmin-cylc.ceda.ac.uk port 22: Connection timed out


────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────
[2019-04-08 18:04.38] ~
[ue023700.SWPC276] ➤

comment:15 Changed 5 months ago by pmcguire

Hi Noel
In the (latest version of) the original JULES/FLUXNET suite, the jules_output_profile(1) namelist had these settings:

[namelist:jules_output_profile(1)]
file_period=-2
nvars=19
output_main_run=.true.
output_period=86400
output_spinup=.false.
output_type='N',18*'M'
profile_name='D'
var='t1p5m_gb','gpp_gb','resp_p_gb','resp_s_gb','ftl_gb','latent_heat',
   ='rad_net','sw_down','precip','t1p5m_gb','q1p5m_gb',
   ='canht','lai','fsmc_gb', 'smc_avail_top', 'fqw_gb', 'et_stom_gb', 'sthu', 'sthf'
var_name='min_t1p5m_gb',18*''

So according to the JULES documentation for JULES 4.9 (the version of the branch from JULES that this code was based upon) for
jules_output_profile:
http://jules-lsm.github.io/vn4.9/namelists/output.nml.html#namelist-JULES_OUTPUT_PROFILE
you can see, under the JULES_OUTPUT_PROFILE::output_type section that
'N' stands for take the minimum value in the time period, and 'M' stands for take the mean value over time.

So, the first time that 't1p5m_gb' is listed in the var= section, it corresponds to the first entry in the output_type= section, which is 'N' (which you will remember is a minimum value over time). This corresponds to the first entry in the var_name= section, which is 'min_t1p5m_gb'.

The second time that 't1p5m_gb' is listed in the var= section is the 10th entry. This corresponds to one of the 18 'M''s in the output_type= section (mean value over time)., and its 'var_name' setting is set to the default since it is one of the 18 wildcard settings (the default will be 't1p5m_gb'.

Yes, nvars should be 66 (I counted 66 variables in your list).

Patrick

comment:16 Changed 5 months ago by pmcguire

Hi Noel:
About your other issue in this ticket (not being able to ssh into jasmin-cylc), I can't see anything from your report that would explain why you are having troubles. Can you still ssh into jasmin-sci1 ok? What is different about your local settings on your desktop in ~/.ssh/config for jasmin-cylc as compared to jasmin-sci1? What steps did you do in the CEDA JASMIN tutorial for adding the jasmin-cylc to your ssh capabilities?
Patrick

comment:17 Changed 5 months ago by NoelClancy

Patrick,

I am able to ssh into jasmin-sci2 and I successfully ran u-ba137f and have output for all 66 variables now.

However, when I run u-ba137b I get the following error

[nmc@jasmin-sci2 roses]$ cd u-ba137b
[nmc@jasmin-sci2 u-ba137b]$ rose suite-run
[INFO] export CYLC_VERSION=7.8.1
[INFO] export ROSE_ORIG_HOST=jasmin-sci2.ceda.ac.uk
[INFO] export ROSE_SITE=
[INFO] export ROSE_VERSION=2019.01.0
[INFO] create: /home/users/nmc/cylc-run/u-ba137b
[INFO] create: log.20190409T101747Z
[INFO] symlink: log.20190409T101747Z ⇐ log
[INFO] create: log/suite
[INFO] create: log/rose-conf
[INFO] symlink: rose-conf/20190409T111747-run.conf ⇐ log/rose-suite-run.conf
[INFO] symlink: rose-conf/20190409T111747-run.version ⇐ log/rose-suite-run.version
[INFO] create: bin
[FAIL] file:bin/jules.py=source=fcm:jules.x_br/pkg/karinawilliams/r6715_python_packages/share/jules.py@12313: bad or missing value
[nmc@jasmin-sci2 u-ba137b]$

comment:18 Changed 5 months ago by pmcguire

Hi Noel

That's great news that the suite u-ba137f now works for all 66 variables. Good job!

I do note that your suite u-ba137f doesn't have any log files for the make_plots app. This suggests that the make_plots part of the suite is not making plots.

Maybe you can re-enter your MOSRS password and try to run the suite u-ba137b again? The FAIL error message is suggesting that it can't load the jules.py code from the MOSRS. Sometimes JASMIN loses the cache or something for the MOSRS password, after a while. Or maybe you didn't enter the MOSRS properly when you logged in to jasmin-sci2. Furthermore, things are no longer guaranteed to work with Rose/Cylc suites on jasmin-sci*. You should be using jasmin-cylc instead.

I did do a diff -r ~nmc/roses/u-ba137b ~nmc/roses/u-ba137f, and I don't see any obvious differences between your suites which might cause the u-ba137b suite to crash.

Patrick

comment:19 Changed 5 months ago by NoelClancy

Hi Patrick,

I've tried to log into jasmin-cylc but it's not working from my desktop in Lyle. I did however manage to log into jasmin-cylc from my laptop but I could run anything.

[2019-04-09 16:41.53] ~
[ue023700.SWPC276] ➤ exec ssh-agent $SHELL


────────────────────────────────────────────────────────────────────────────────
[2019-04-09 16:48.13] ~
[ue023700.SWPC276] ➤ ssh-add ~/.ssh/id_rsa_jasmin
Identity added: /home/mobaxterm/.ssh/id_rsa_jasmin (/home/mobaxterm/.ssh/id_rsa_jasmin)


────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────
[2019-04-09 16:48.15] ~
[ue023700.SWPC276] ➤ ssh -AX nmc@…
ssh: connect to host jasmin-cylc.ceda.ac.uk port 22: Connection timed out


────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────────
[2019-04-09 16:48.47] ~
[ue023700.SWPC276] ➤

comment:20 Changed 5 months ago by NoelClancy

Also, when I log into jasmin-sci2 is no longer asks me for my MOSRS password

comment:21 Changed 5 months ago by pmcguire

Hi Noel
Since it is no longer asking for your MOSRS password on jasmin-sci2, it means that you have changed your configuration on CEDA JASMIN in your .bashrc file or your .bash_profile or elsewhere so that it no longer asks for your MOSRS password on jasmin-sci2. This also means that you won't automatically be able to run Rose/Cylc suites that require MOSRS access from jasmin-sci2. If you want to be able to have it automatically ask you on either jasmin-sci2 or jasmin-cylc (both machines) for your MOSRS password, then you can configure your .bashrc file or your .bash_profile file to do both.

But again, you should be running Rose/Cylc suites on jasmin-cylc instead of jasmin-sci*. So you should finish getting your account set up on both your laptop and your desktop to do this.

You said that you could log in to jasmin-cylc from your laptop, but that you could not run anything. What does it mean that you could not run anything? Does Xwindows work? Can you start an Xclock? Can you run a suite? Does the GUI for the Rose/Cylc suite appear?
Patrick

comment:22 Changed 5 months ago by NoelClancy

How do I know if I'm logged into jasmin-cylc successfully?

[2019-04-09 18:11.52] ~
[ue023700.SWPC276] ➤ ssh -A nmc@…

Access to this system is monitored and restricted to
authorised users. If you do not have authorisation
to use this system, you should not proceed beyond
this point and should disconnect immediately.

Unauthorised use could lead to prosecution.

(See also - http://www.stfc.ac.uk/aup)

Last login: Tue Apr 9 18:07:56 2019 from swpc276.rdg.ac.uk

Welcome to the Centre for Environmental Data Archival's JASMIN Login Server.

Administered by STFC RAL SCD Research Infrastructure Group.

Configured by PXE/Kickstart: 2012-04-17 13:31

Admin contact: Jonathan Churchill <jonathan.churchill@…>

Additional information about JASMIN can be found at: http://jasmin.ac.uk

For support please contact CEDA Helpdesk: support@…

*
JASMIN Shared VM status at 2019-04-09 18:10:01.381322
*

Average load on each VM over the last hour:
===============================================================
Host Users Free memory CPU


jasmin-sci1.ceda.ac.uk 21 9.2G 48.0%
jasmin-sci2.ceda.ac.uk 25 15.0G 63.0%
jasmin-sci3.ceda.ac.uk 19 2001.6G 7.0%
jasmin-sci4.ceda.ac.uk 10 24.0G 12.0%
jasmin-sci5.ceda.ac.uk 13 24.4G 14.0%
jasmin-sci6.ceda.ac.uk ? 387.7G 4.0%
cems-sci1.cems.rl.ac.uk 17 21.3G 22.0%
cems-sci2.cems.rl.ac.uk 15 1878.7G 3.0%
===============================================================

-bash-4.1$ ssh -AX nmc@…

Access to this system is monitored and restricted to
authorised users. If you do not have authorisation
to use this system, you should not proceed beyond
this point and should disconnect immediately.

Unauthorised use could lead to prosecution.

(See also - http://www.stfc.ac.uk/aup)

Last login: Tue Apr 9 18:08:50 2019 from jasmin-login1-panfs.jc.rl.ac.uk

RAL High Performance Computing Services Group

Configured by PXE/Kickstart: 2014-08-04 11:09

Admin contact: Peter Chiu <peter.chiu@…>

Additional information about JASMIN can be found at: http://jasmin.ac.uk

For support please contact CEDA Helpdesk: support@…

comment:23 Changed 5 months ago by NoelClancy

I assume I just change from

ssh -AX nmc@…
to
ssh -AX nmc@…

comment:24 Changed 5 months ago by pmcguire

Hi Noel:
This is what I get when I try to log into jasmin-cylc from jasmin-login1. (see below).
According to the JULES tutorial, you should also be able to log in to jasmin-cylc without directly logging into jasmin-login1 first.
You should set up your account so that it can avoid logging in to jasmin-login1.
Patrick

[pmcguire@jasmin-login1 ~]$ ssh -AX pmcguire@jasmin-cylc.ceda.ac.uk

            Access to this system is monitored and restricted to
            authorised users.   If you do not have authorisation
            to use  this system,  you should not  proceed beyond
            this point and should disconnect immediately.

            Unauthorised use could lead to prosecution.

    (See also - http://www.stfc.ac.uk/aup)

Last login: Mon Apr  8 20:03:12 2019 from jasmin-xfer1-panfs.ceda.ac.uk

    RAL High Performance Computing Services Group

    Configured by PXE/Kickstart: 2014-08-04 11:09

    Admin contact:               Peter Chiu <peter.chiu@stfc.ac.uk>

Additional information about JASMIN can be found at: http://jasmin.ac.uk

For support please contact CEDA Helpdesk: support@ceda.ac.uk
Met Office Science Repository Service password: 
Subversion password cached
https://code.metoffice.gov.uk/rosie/u/hello: Hello patrickmcguire
Rosie password cached
Environment variables set for netCDF Fortran bindings in
  /apps/libs/netCDF/intel14/fortran/4.2/
You will also need to link your code to a compatible netCDF C library in
  /apps/libs/netCDF/intel14/4.3.2/
[pmcguire@jasmin-cylc ~]$

comment:25 Changed 4 months ago by pmcguire

  • Resolution set to fixed
  • Status changed from accepted to closed
Note: See TracTickets for help on using tickets.